import dynamix_sdk.base as _base


class CloudapiComputeUserRevokeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeUserRevokeProtocol(_base.BasePostAPIFunctionProtocol):
    def user_revoke(
        self,
        *,
        vm_id: int,
        user_name: str,
    ) -> CloudapiComputeUserRevokeResultBool:
        ...
